---
editUrl: false
next: false
prev: false
title: "makePlugin"
---

> **makePlugin**\<`V`\>(`type`, `execute`): [`Plugin`](/v4/api/interfaces/plugin/)\<`V`\>

## Type parameters

• **V** *extends* `unknown`[]

## Parameters

• **type**: [`PluginType`](/v4/api/enumerations/plugintype/)

• **execute**

## Returns

[`Plugin`](/v4/api/interfaces/plugin/)\<`V`\>

## Source

[src/core/plugin.ts:6](https://github.com/sern-handler/handler/blob/3f703c17b88b6add7de919772e7b2a7faffd3910/src/core/plugin.ts#L6)
